> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavynode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create API key

> Creates a new API key for a given project.



## OpenAPI

````yaml POST /projects/{projectId}/keys
openapi: 3.1.0
info:
  title: Wavy Node API
  description: >-
    Compliance, fraud prevention, and risk analysis API for payment providers
    and cryptocurrency exchanges in Latin America.
  version: 1.0.0
  contact:
    name: Wavy Node Support
    email: support@wavynode.com
servers:
  - url: https://api.wavynode.com/v1
    description: Production
security:
  - apiKeyAuth: []
paths:
  /projects/{projectId}/keys:
    post:
      tags:
        - API Keys
      summary: Create API key
      description: Creates a new API key for a given project.
      operationId: createApiKey
      parameters:
        - name: projectId
          in: path
          required: true
          description: The project ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateApiKeyRequest'
      responses:
        '200':
          description: API key created
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: integer
                    description: The ID of the created API key
components:
  schemas:
    CreateApiKeyRequest:
      type: object
      required:
        - label
      properties:
        label:
          type: string
          description: A label to identify this API key
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Enter the full value with the `ApiKey` prefix. Example: `ApiKey
        wavy_your-api-key`. The prefix is required for authentication.

````